> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/appendices/appendix-e-concept-enumerations/e3-concept-enumerations-for-description-typeid.md).

# E.3 Concept Enumerations for Description typeId

This concept enumeration represents a value that can be applied to the *description*.typeId field. This is used to indicate whether the description represents a fully specified name, a synonym a definition or some other symbolic or textual representation of the associated concept. The Table below shows the current set of values for this concept enumeration.

**Description type (core metadata concept) (900000000000446008)**

<table data-header-hidden data-full-width="true"><thead><tr><th width="377.0096435546875"></th><th></th></tr></thead><tbody><tr><td><strong>Concept</strong></td><td><strong>Comment</strong></td></tr><tr><td><a href="http://snomed.info/id/900000000000003001">900000000000003001 | Fully specified name|</a></td><td>The <em>description</em>.term represents the <em>fully specified name</em> of the associated <em>concept</em> in the language indicated by the <em>description</em>.languageCode.</td></tr><tr><td><a href="http://snomed.info/id/900000000000013009">900000000000013009 | Synonym|</a></td><td><p>The <em>description</em>.term represents a term that is used to represent the associated <em>concept</em> in the language indicated by the <em>description</em>.languageCode.</p><p>Note: The <em>preferred term</em> used in a given language or dialect is a <em>synonym</em>. Preference and acceptability of a particular synonyms is indicated by a <a href="https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/reference-set-release-file-specification/5.2-reference-set-types/5.2.2.1-language-reference-set.md">language reference set</a>.</p></td></tr><tr><td><a href="http://snomed.info/id/900000000000550004">900000000000550004 | Definition|</a></td><td>The <em>description</em>.term represents a textual definition of the associated <em>concept</em> in the language indicated by <em>description</em>.languageCode.</td></tr></tbody></table>

***

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=Release+File+Specification&#x26;entry.670899847=E.3%20Concept%20Enumerations%20for%20Description%20typeId" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/appendices/appendix-e-concept-enumerations/e3-concept-enumerations-for-description-typeid.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
